classification
Title: documentation line needs rewording
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brian.curtin Nosy List: brian.curtin, docs@python, eric.araujo, mohrr, ruseel, terry.reedy
Priority: normal Keywords: easy, patch

Created on 2010-08-12 22:03 by mohrr, last changed 2010-09-23 13:57 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
issue9582.patch ruseel, 2010-09-23 10:34
Messages (5)
msg113711 - (view) Author: Robert Mohr (mohrr) Date: 2010-08-12 22:03
The last line of http://docs.python.org/faq/programming.html#is-there-a-scanf-or-sscanf-equivalent is not proper English:

For more complicated input parsing, regular expressions more powerful than C’s sscanf() and better suited for the task.

This also shows up in the 3.2 docs.
msg114020 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-15 22:56
PATCH add 'are' after 'expressions'.
msg114027 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-08-15 23:55
+1 on committing this change.
msg117177 - (view) Author: MunSic JEONG (ruseel) Date: 2010-09-23 10:34
uploaded patch. 

patch could be applied to 2.7-maint and p3k successfuly. single word insert.
msg117187 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-09-23 13:48
Committed in r84971 and r84972. Thanks.
History
Date User Action Args
2010-09-23 13:57:52benjamin.petersonsetstatus: open -> closed
2010-09-23 13:48:49brian.curtinsetnosy: + brian.curtin
messages: + msg117187

assignee: docs@python -> brian.curtin
resolution: fixed
stage: needs patch -> resolved
2010-09-23 10:34:03ruseelsetfiles: + issue9582.patch
nosy: + ruseel
messages: + msg117177

2010-08-15 23:55:56eric.araujosetnosy: + eric.araujo
messages: + msg114027
2010-08-15 22:56:26terry.reedysetkeywords: + easy
2010-08-15 22:56:08terry.reedysetnosy: + terry.reedy
messages: + msg114020

keywords: + patch
type: behavior
stage: needs patch
2010-08-12 22:03:41mohrrcreate